//------------------------------------------------------------------------------
//
// Copyright (c) 1999-2005  Matt Brunk  <info@smartcache.net>
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License VERSION 2 as
// published by the Free Software Foundation.  You are not allowed to
// use any other version of the license; unless you got the explicit
// permission from the author to do so.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
//------------------------------------------------------------------------------
#ifndef SDES_H_INCLUDED__
#define SDES_H_INCLUDED__

typedef unsigned char	U8;		// 8 bit unsigned numbers
typedef unsigned short	U16;    // 16 bit unsigned numbers

class SDES
{
public:


	static U8 Encrypt(U8 in);
	static U8 Decrypt(U8 in);

private:
	static U16	s_key;

};

#endif	// SDES_H_INCLUDED__
